export declare class BbAuthConfig {
    redirectUrl: string;
}
export interface BbAuthMapperProtocol {
    login: string;
    register: string;
    logout: string;
    refresh: string;
    resetPassword: string;
    requestPassword: string;
    role(data: any): string;
    toLogin(data: any): BbLoginResponse;
    toRefresh(data: any): BbRefreshResponse;
}
export interface BbLoginResponse {
    accessToken: string;
    refreshToken: string;
    user: object;
}
export interface BbRefreshResponse {
    accessToken: string;
    refreshToken: string;
}
