import { BbAuthInterceptor } from './auth.interceptor';
import { BbAuthConfig } from './auth.interfaces';
import { BbAuth } from './auth.service';
export declare class BbAuthModule {
    constructor(_parent: BbAuthModule);
    static forRoot(config?: BbAuthConfig): {
        ngModule: typeof BbAuthModule;
        providers: (typeof BbAuth | {
            provide: typeof BbAuthConfig;
            useValue: BbAuthConfig;
            useClass?: undefined;
            multi?: undefined;
        } | {
            provide: import("@angular/core").InjectionToken<import("@angular/common/http").HttpInterceptor[]>;
            useClass: typeof BbAuthInterceptor;
            multi: boolean;
            useValue?: undefined;
        })[];
    };
}
