import { OnDestroy, OnInit, Renderer2 } from '@angular/core';
export declare class BbDashboard implements OnInit, OnDestroy {
    private _renderer;
    backgroundColor: string;
    maxWidth: string;
    padding: string;
    private sidebarVisible$;
    readonly visibility: import("rxjs").Observable<boolean>;
    constructor(_renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleSidebarVisibility(): void;
    setSidebarVisibility(newValue: boolean): void;
    private setHtmlClass;
}
