import { InjectionToken } from '@angular/core';
export declare const BB_ELEMENTS_ICONS: InjectionToken<BbElementsIcon[]>;
export declare const BB_ELEMENTS_ERRORS: InjectionToken<BbElementsError[]>;
export declare type BbElementsIcon = BbElementsIconFont | BbElementsIconImage | BbElementsIconUnknown;
export declare type BbElementsError = {
    [error: string]: (data?: any) => string | {
        token: string;
        data?: any;
    };
};
export interface BbElementsIconFont {
    namespace: string;
    className: string;
    inline?: boolean;
    type: 'font';
}
export interface BbElementsIconImage {
    namespace: string;
    name: string;
    src: string;
    type: 'image';
}
export interface BbElementsIconUnknown {
    type: 'unknown';
}
