export declare const BB_ELEMENTS_MATERIAL_ICON: {
    provide: import("@angular/core").InjectionToken<import("./elements.interfaces").BbElementsIcon[]>;
    useValue: {
        namespace: string;
        className: string;
        type: string;
    };
    multi: boolean;
};
export declare const BB_ELEMENTS_ENGLISH_LOCALIZATION: {
    provide: import("@angular/core").InjectionToken<import("../localize/localize.interfaces").BbLocalizeExtraDictionary[]>;
    useValue: {
        locale: string;
        data: {
            'form-control-errors': {
                'required': string;
                'pattern': string;
                'email': string;
                'fullNumber': string;
                'min': string;
                'max': string;
                'minlength': string;
                'maxlength': string;
            };
        };
    };
    multi: boolean;
};
export declare const BB_ELEMENTS_DUTCH_LOCALIZATION: {
    provide: import("@angular/core").InjectionToken<import("../localize/localize.interfaces").BbLocalizeExtraDictionary[]>;
    useValue: {
        locale: string;
        data: {
            'form-control-errors': {
                'required': string;
                'pattern': string;
                'email': string;
                'fullNumber': string;
                'min': string;
                'max': string;
                'minlength': string;
                'maxlength': string;
            };
        };
    };
    multi: boolean;
};
