import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { BbPlatform } from './platform.service';
import { Observable } from 'rxjs';
export declare class BbPlaceholder {
    private _platform;
    private _sanitizer;
    private _cache;
    constructor(_platform: BbPlatform, _sanitizer: DomSanitizer);
    private _vectors;
    png(name: string, options?: {
        width?: number;
        height?: number;
        sanitized?: boolean;
    }): Observable<string | SafeUrl>;
    svg(name: string, options?: {
        sanitized?: boolean;
    }): Observable<string | SafeUrl>;
    private toDataUri;
    private asImage;
    private toSanitized;
}
