import { OnDestroy, OnInit } from '@angular/core';
import { BbDashboardSidebar } from '../dashboard-sidebar/dashboard-sidebar.component';
import { CanDisableConstructor } from '../../core/mixins/can-disable';
declare class BbDashboardSidebarGroupBase {
    protected _parent: BbDashboardSidebar;
    constructor(_parent: BbDashboardSidebar);
}
declare const BbDashboardSidebarGroupMixinBase: CanDisableConstructor & typeof BbDashboardSidebarGroupBase;
export declare class BbDashboardSidebarGroup extends BbDashboardSidebarGroupMixinBase implements OnInit, OnDestroy {
    protected _parent: BbDashboardSidebar;
    id: string | null;
    icon: string | null;
    title: string | null;
    private _isExpanded;
    private _subscription;
    constructor(_parent: BbDashboardSidebar);
    readonly hasToggle: boolean;
    readonly isExpanded: boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onClick(): void;
    onGroupClicked(event: MouseEvent): void;
}
export {};
