import { CanDisable, CanDisableConstructor } from '../../core/mixins/can-disable';
import { IsGrouped, IsGroupedConstructor } from '../../core/mixins/is-grouped';
import { ControlValueAccessor } from '@angular/forms';
declare class BbCheckboxBase {
}
declare const BbCheckboxMixinBase: IsGroupedConstructor & CanDisableConstructor & typeof BbCheckboxBase;
export declare class BbCheckbox extends BbCheckboxMixinBase implements ControlValueAccessor, IsGrouped, CanDisable {
    labelId: string;
    checked: boolean;
    private _checked;
    onChange: (newValue: boolean) => void;
    onTouched: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(newValue: boolean): void;
    onInteractionEvent(event: Event): void;
    onInputClick(event: Event): void;
}
export {};
