import { InjectionToken } from '@angular/core';
export declare const BB_LOCALIZE_EXTRA_DICTIONARY: InjectionToken<BbLocalizeExtraDictionary[]>;
export declare type BbLocalizeExtraDictionary = {
    locale: string;
    data: object;
};
export declare class BbLocalizeConfig {
    dictionary: BbLocalizeDictionary[];
}
export interface BbLocalizeDictionary {
    id: string;
    languages: string[];
    data: string | object;
    name: string;
    locale: string;
}
export interface BbLocalizeOptions {
    optional?: boolean;
    data?: BbLocalizeData;
}
export interface BbLocalizeData {
    [token: string]: string | number | boolean | Date;
}
