import { BbLocalizeConfig } from './localize.interfaces';
import { BbLocalize } from './localize.service';
export declare class BbLocalizeModule {
    static forRoot(config: BbLocalizeConfig): {
        ngModule: typeof BbLocalizeModule;
        providers: (typeof BbLocalize | {
            provide: typeof BbLocalizeConfig;
            useValue: BbLocalizeConfig;
            deps?: undefined;
            useFactory?: undefined;
            multi?: undefined;
        } | {
            provide: import("@angular/core").InjectionToken<(() => void)[]>;
            deps: (typeof BbLocalize)[];
            useFactory: typeof initializeLocale;
            multi: boolean;
            useValue?: undefined;
        } | {
            provide: import("@angular/core").InjectionToken<string>;
            deps: (typeof BbLocalize)[];
            useFactory: typeof getLocale;
            useValue?: undefined;
            multi?: undefined;
        })[];
    };
}
export declare function initializeLocale(localize: BbLocalize): () => Promise<void>;
export declare function getLocale(localize: BbLocalize): string;
